#
#include <File.h>
template<class T, class U = void, class = int>
Template class

Class with template parameters.

### Contents

- Reference
  - Friends

## Friends

template<class V>
void foobar()
  Friend function.

## Function documentation

###
template<class T, class U, class _3> template<class V>
void foobar()

Friend function.

Template parameters
V | This is a V

This is broken in doxygen itself as it doesn't include any scope from the class.